Bug 781833

Summary: broken DNS lookup
Product: [Fedora] Fedora Reporter: Jan Bušta <honza>
Component: iptraf-ngAssignee: Nikola Pajkovsky <npajkovs>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: dhoward, npajkovs
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: iptraf-ng-1.1.0-2.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-24 19:55:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Bušta 2012-01-15 15:49:14 UTC
Description of problem:
iptraf-ng does not show reverse DNS lookups, "fatal: unable execl() rvnamed-ng" is shown instead.


Version-Release number of selected component (if applicable):
iptraf-ng-1.1.0-1.fc16.x86_64

How reproducible:
start iptraf-ng
enable reverse DNS lookup
  

Expected results:
Do the DNS lookup

Comment 1 Nikola Pajkovsky 2012-01-16 10:02:07 UTC
could you please run this command right after the message is showed?

sudo ausearch -ts recent -m avc

Comment 2 Jan Bušta 2012-01-16 10:09:50 UTC
ausearch -ts recent -m avc
<no matches>

echo $?
1

Comment 3 Nikola Pajkovsky 2012-01-16 10:47:45 UTC
commit b78e62ca2bf6dc887963071d02c7c21ba7355989
Author: Nikola Pajkovsky <npajkovs@redhat.com>
Date:   Mon Jan 16 11:47:01 2012 +0100

    fix wrongly used execl
    
    Signed-off-by: Nikola Pajkovsky <npajkovs@redhat.com>

will be soon as an update

Comment 4 Fedora Update System 2012-01-16 11:15:48 UTC
iptraf-ng-1.1.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.0-2.fc16

Comment 5 Fedora Update System 2012-01-16 11:16:15 UTC
iptraf-ng-1.1.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.0-2.fc15

Comment 6 Fedora Update System 2012-01-16 21:22:09 UTC
Package iptraf-ng-1.1.0-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iptraf-ng-1.1.0-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0578/iptraf-ng-1.1.0-2.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-01-24 19:55:55 UTC
iptraf-ng-1.1.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-01-24 19:59:38 UTC
iptraf-ng-1.1.0-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.